Subject: Re: [PATCH 00/12] Thumb-2 kernel support

From: Catalin Marinas <[email-masked]>
Date: Wed, 23 Jul 2008 17:05:55 +0100

Hi Andrew,

On Tue, 2008-07-01 at 01:45 -0700, Andrew Morton wrote:
> On Tue, 01 Jul 2008 09:32:11 +0100 Catalin Marinas <[email-masked]> wrote:
> 
> > On Mon, 2008-06-30 at 12:51 -0700, Andrew Morton wrote:
> > > On Fri, 06 Jun 2008 18:33:00 +0100
> > > Catalin Marinas <[email-masked]> wrote:
> > > 
> > > > This series of patches allows the kernel to be compiled to Thumb-2 mode
> > > > (on ARMv7 CPUs). The patches have been posted a few times on the list
> > > > and the comments were implemented (hopefully I haven't missed any).
> > > > 
> > > > If/when there are no more comments, I'd like the series to be merged
> > > > into the -mm tree if Andrew agrees. It was tested and generated against
> > > > the 2.6.26-rc2-mm1 kernel.
> > [...]
> > > OK, I added this tree to -mm.  Nobody is likely to test or review it
> > > there, but at least I might pick up on any merge or build issues.

Were the Thumb-2 patches merged in any of the -mm tree releases? I now
updated the series to the 2.6.26-rc8-mm1 kernel if you still consider
merging them (git://linux-arm.org/linux-2.6 for-akpm).

> > > If you're hankering for a 2.6.27 merge of this material it might be
> > > more appropriate to add it to linux-next.
> > 
> > I aim for the ___post 2.6.27 merge window (i.e. patches available in
> > 2.6.28).
> 
> OK, then in that case it shouldn't go into linux-next until around
> 2.6.27-rc1 time.

Russell (and others in the ARM community), are you OK with this set of
patches being merged into 2.6.28 mainline (i.e. at the next merging
window)? If yes, do you acknowledge the patches? In the meantime, I can
rebase them on top of linux-next to check for possible merge conflicts
(or even ask for them to be pulled into linux-next).

Thanks.

-- 
Catalin